Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class GCValueParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.nds.dirxml.engine.gcv.GCVException
                  com.novell.nds.dirxml.engine.gcv.GCValueParseException

All Implemented Interfaces:
  Serializable

    public class GCValueParseException

extends GCVException

Derivative of `GCVException` thrown when the lexical representation of a value does not parse correctly.

If the character position of the error can be determined it is available through `getErrIndex()`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.novell.nds.dirxml.engine.gcv.GCVException
`ERR_BAD_DN_DELIMS, ERR_BAD_DN_FORMAT, ERR_BAD_DN_SPACE, ERR_BAD_RANGE_VALUE, ERR_BAD_XML, ERR_DUPLICATE_ENUM_CHOICE, ERR_DUPLICATE_VALUE_NAME, ERR_HEADER_NOT_ALLOWED_HERE, ERR_INSERTION_POINT_NOT_FOUND, ERR_INVALID_ACTIVE_VALUE, ERR_INVALID_GROUP_LEADER, ERR_INVALID_NAME, ERR_INVALID_TYPE_SPECIFIER, ERR_MISSING_ACTIVE_VALUE, ERR_MISSING_DEFINITIONS_ELEMENT, ERR_MISSING_DISPLAY_NAME, ERR_MISSING_DOCUMENT_ELEMENT, ERR_MISSING_ENUM_CHOICES, ERR_MULTIPLE_DEFINITIONS_ELEMENT, ERR_MUST_BE_TRUE_OR_FALSE, ERR_REFERENCE_NOT_ALLOWED_HERE, ERR_SUBORDINATE_NOT_ALLOWED, ERR_TYPE_NOT_ALLOWED_HERE, ERR_VALUE_INCOMPLETE, ERR_VALUE_INVALID_CHAR, ERR_VALUE_NULL, ERR_VALUE_OUT_OF_RANGE, ERR_VALUE_REFERENCE_NOT_FOUND`

Constructor Summary
`GCValueParseException(int code)` Construct a `GCValueParseException` with the passed code.
`GCValueParseException(int code, GCValue value)` Construct a `GCValueParseException` with the passed code.
`GCValueParseException(int code, int errIndex)` Construct a `GCValueParseException` with the passed code and index into the value string.
`GCValueParseException(int code, int errIndex, GCValue value)` Construct a `GCValueParseException` with the passed code and index into the value string.

Method Summary
`int` | `getErrIndex()` Return the character position of the lexical error, if available.

Methods inherited from class com.novell.nds.dirxml.engine.gcv.GCVException
`getCode, getNode, getValueName`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GCValueParseException

    public GCValueParseException(int code)

  Construct a `GCValueParseException` with the passed code.

  Parameters:
    `code` - value from `GCVException`.

### GCValueParseException

    public GCValueParseException(int code,
                                 GCValue value)

  Construct a `GCValueParseException` with the passed code.

  Parameters:
    `code` - value from `GCVException`.
    `value` - `GCValue` generating this exception.

### GCValueParseException

    public GCValueParseException(int code,
                                 int errIndex)

  Construct a `GCValueParseException` with the passed code and index into the value string.

  Parameters:
    `code` - value from `GCVException`.
    `errIndex` - character position of lexical error.

### GCValueParseException

    public GCValueParseException(int code,
                                 int errIndex,
                                 GCValue value)

  Construct a `GCValueParseException` with the passed code and index into the value string.

  Parameters:
    `code` - value from `GCVException`.
    `errIndex` - character position of lexical error.
    `value` - `GCValue` generating this exception.

Method Detail

### getErrIndex

    public int getErrIndex()

  Return the character position of the lexical error, if available.

  Returns:
    index or -1, if index not available.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD